[SCM] Installer for game data files branch, master, updated. efd46d96e303f4a3f010a93ae2ee1d6c68315639
Jon Dowland
jmtd at debian.org
Tue Sep 11 21:08:29 UTC 2012
The following commit has been merged in the master branch:
commit 27342d13c59fddc11808ae9047c7d96f4895a31c
Author: Jon Dowland <jmtd at debian.org>
Date: Tue Jun 19 17:55:54 2012 +0100
recast tests for shunit2
diff --git a/tests/verify_file b/tests/verify_file
index 4c7f995..cb179f4 100755
--- a/tests/verify_file
+++ b/tests/verify_file
@@ -1,17 +1,12 @@
#!/bin/sh
-set -u
-set -e
-workdir=$(mktemp -td game-data-packager.tests.XXXXXX)
-touch "$workdir/yes"
+test_verify_file_yes() {
+ ./tests/lib/verify_file "tests/verify_file"
+ assertEquals $? 0
+}
+test_verify_file_no() {
+ ./tests/lib/verify_file "tests/does_not_exist"
+ assertNotEquals $? 0
+}
-printf "verify_file: "
-if ./tests/lib/verify_file "$workdir/yes" &&
- ! ./tests/lib/verify_file "$workdir/no "; then
- echo pass
-else
- echo fail
-fi
-
-rm "$workdir/yes"
-rmdir "$workdir"
+. ./tests/shunit2/shunit2
--
Installer for game data files
More information about the Pkg-games-commits
mailing list